#!/usr/bin/env python

import sys

def usage():
    print "python script.py TEST_DICT DICT"

def eval(test, main):
    tl = []
    tlci = []
    ml = []
    mlci = []
    for line in open(test):
        l = line.decode('utf-8')
        try:
            en, cs = l.split('\t')[:2]
        except:
            continue
        tl.append((en.strip(), cs.strip()))
        tlci.append((en.strip().lower(), cs.strip().lower()))
    for line in open(main):
        l = line.decode('utf-8')
        try:
            en, cs = l.split('\t')[:2]
        except:
            continue
        ml.append((en.strip(), cs.strip()))
        mlci.append((en.strip().lower(), cs.strip().lower()))
    inter = set(ml) & set(tl)
    interci = set(mlci) & set(tlci)

    if not len(ml) or not len(tl):
        print "Case-sensitive"
        print "precision: 0.000" % precision
        print "recall:    0.000" % recall
        print "fscore:    0.000" % fscore
    else:
        precision = len(inter) / float(len(ml))
        recall = len(inter) / float(len(tl))
        fscore = 2 * (precision * recall) / (precision + recall)
        print "Case-sensitive"
        print "precision: %.9f" % precision
        print "recall:    %.9f" % recall
        print "fscore:    %.9f" % fscore

    if not len(mlci) or not len(tlci):
        print "\nCase-insensitive"
        print "precision: 0.000" % precision
        print "recall:    0.000" % recall
        print "fscore:    0.000" % fscore
    else:
        precisionci = len(interci) / float(len(mlci))
        recallci = len(interci) / float(len(tlci))
        fscoreci = 2 * (precisionci * recallci) / (precisionci + recallci)
        print "\nCase-insensitive"
        print "precision: %.9f" % precisionci
        print "recall:    %.9f" % recallci
        print "fscore:    %.9f" % fscoreci

if __name__ == '__main__':
    if len(sys.argv) != 3:
        usage()
        exit(1)
    t = sys.argv[1]
    d = sys.argv[2]
    eval(t, d)
