#!/usr/bin/env python

import sys

def usage():
    print 'python script.py L1_FILE L2_FILE [LIMIT] > STDOUT'
    print 'The script generates all word (lemma) pairs from aligned text files'
    print 'using top LIMIT lines from the files. Set LIMIT to 0 for no limit.'

def par2items(l1_file, l2_file, limit=10000):
    counter = 0
    while True:
        l1_line = l1_file.readline().decode('utf-8')
        l2_line = l2_file.readline().decode('utf-8')
        # split too long lines?
        if not l1_line or not l2_line or (limit and counter > limit):
            break
        for l1_item in l1_line.split():
            for l2_item in l2_line.split():
                # output only not-too-far-away-from-each-other pairs?
                print l1_item.encode('utf-8') + '\t' + l2_item.encode('utf-8')
        counter += 1

if __name__ == '__main__':
    if len(sys.argv) < 3:
        usage()
        exit(1)
    if len(sys.argv) == 4:
        LIMIT = int(sys.argv[3])
    else:
        LIMIT = 10000

    l1_file = open(sys.argv[1])
    l2_file = open(sys.argv[2])
    par2items(l1_file, l2_file, LIMIT)

